<?php 
#===================================================
# ТРЕБОВАНИЯ
// !!! для корректной работы скрипта необходима версия PHP 5.2.0 или выше !!!

#===================================================
# ДАННЫЕ ДЛЯ ПОДКЛЮЧЕНИЯ
$login = 'YOUR_LOGIN'; 							// логин
$key = 'YOUR_KEY'; 								// ключ доступа к API 
$url_json = 'http://positon.ru/api-json-v2/'; 	// Адрес API

#===================================================
# ФУНКЦИИ

// функция для отправки запросов к API
function api_request($method,$params){
	global $login,$key,$url_json;
	$params = json_encode($params);														// преобразование в JSON-формат
	$request = array('key'=>$key,'login'=>$login,'method'=>$method,'param'=>$params); 	// формирование запроса
	$request=http_build_query($request);												// преобразование запроса в строку
	$opts = array('http'=>array('method'=>"POST",'content'=>$request));					// параметры запроса
	$context = stream_context_create($opts);											// создание контекста потока
	$result = file_get_contents($url_json, 0, $context); 								// отправляем запрос и получаем ответ от сервера
	$result = json_decode($result,true); 												// преобразование JSON-формата  в массив
	return $result;												
}

// Если новые фразы получены, добавляем их
if (isset($_POST['phrases'])&&$_POST['phrases']!=''&&isset($_POST['project'])&&is_numeric($_POST['project'])&&$_POST['project']>0){
	$prID=(int)$_POST['project'];
	$phrases=trim($_POST['phrases']);
	$phrasesList=explode("\n",$phrases);
	$res=api_request('PhrasesAdd',array('ProjectID'=>$prID,'Phrases'=>$phrasesList));
	if ($res['error']!=0&&$res['error']!=2035) exit('Ошибка при выполнении команды API. Код '.$res['error']);
	if ($res['error']==2035)  exit('Фразы отсутствуют во входных данных или уже существуют в группе. Код '.$res['error']);
	$ResultAction=$res['data']['Description'];
}

// Получаем список проектов
$prList=array();
$res=api_request('GetProjectsList',array(0));
if ($res['error']!=0) exit('Ошибка при выполнении команды API. Код '.$res['error']);
foreach ($res['data'] as $ind=>$val){
	$prID=$val['ProjectID'];
	$prName=$val['Name'];
	$prList[$prID]=$prName;
}

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>API - PhrasesAdd</title>
</head>
<body>
<form id="form1" name="form1" method="post" action="">
	<table border="0" cellspacing="0" cellpadding="3">
		<tr>
			<td align="right" valign="middle">&nbsp;</td>
			<td width="300" align="left" valign="middle"><strong>Добавление новых фраз через API</strong></td>
			<td align="left" valign="middle">&nbsp;</td>
		</tr>
		<tr>
			<td align="right" valign="middle">&nbsp;</td>
			<td width="300" align="left" valign="middle">&nbsp;</td>
			<td align="left" valign="middle">&nbsp;</td>
		</tr>
		<tr>
			<td align="right" valign="middle">Действие:</td>
			<td width="300" align="left" valign="middle"><?php if (isset($ResultAction)){ ?><font color="#009900"><strong><?php echo $ResultAction; ?></strong></font><?php } else echo '-'; ?></td>
			<td align="left" valign="middle">&nbsp;</td>
		</tr>
		<tr>
			<td align="right" valign="middle">Проект:</td>
			<td width="300" align="left" valign="middle"><select name="project" id="project" style="width:100%;">
			<option value="0" selected="selected">Не выбран...</option>
				<?php foreach ($prList as $ind=>$val) echo '<option value="'.$ind.'">'.$val.'</option>'; ?>
				</select></td>
			<td align="left" valign="middle">&nbsp;</td>
		</tr>
		<tr>
			<td align="right" valign="top">Список фраз:</td>
			<td width="300" align="left" valign="middle"><textarea name="phrases" id="phrases" cols="45" rows="5" style="width:100%;">фраза 1
фраза 2
фраза 3</textarea></td>
			<td align="left" valign="top"><em>Каждая фраза <br />
			с новой строки.</em></td>
		</tr>
		<tr>
			<td align="right" valign="middle">&nbsp;</td>
			<td width="300" align="left" valign="middle">				<input type="submit" name="button" id="button" value="Добавить новые фразы" />			</td>
			<td align="left" valign="middle">&nbsp;</td>
		</tr>
		<tr>
			<td align="right" valign="middle">&nbsp;</td>
			<td align="left" valign="middle">&nbsp;</td>
			<td align="left" valign="middle">&nbsp;</td>
		</tr>
		<tr>
			<td align="right" valign="middle">&nbsp;</td>
			<td width="300" align="left" valign="middle"><strong><em>Примечание: </em></strong><em><br />
			Для добавления фраз в дополнительные группы используйте необязательный параметр GroupID в методе PhrasesAdd.</em></td>
			<td align="left" valign="middle">&nbsp;</td>
		</tr>
	</table>
</form>
</body>
</html>